# UTILITY TO OPEN *.CSV FILES
# REFS: https://docs.microsoft.com/en-us/powershell/module/microsoft.powershell.utility/out-gridview?view=powershell-7.2
#       https://mcpmag.com/articles/2013/01/08/pshell-gridview.aspx
#       handling square brackets: https://stackoverflow.com/a/4089337/13499984
# ARGS: -LiteralPath ...avoids failure to open files with square brackets in the the name
#       -Title       ...specifies the text that appears in the title bar of the Out-GridView window
#       -Wait        ...lets you use Out-GridView cmdlets in Windows shortcuts.
#      
param($p1)
Write-Host "opening '$p1'"
#Import-Csv -LiteralPath "$p1" | Out-GridView -Title $p1 -PassThru
Import-Csv -LiteralPath "$p1" | Out-GridView -Title $p1 -Wait
